<?php
	require_once( $GLOBALS["site_root"]."/includes/widgets/Widget.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/MyQuoteRequestsGrid.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/models/MyUser.inc.php" );

	class MyQuoteRequestsPane extends Widget {
		protected $bLoggedIn;
		protected $oGrid;

		public function __construct( $id , $parent ) {
			parent::__construct( $id , $parent );
		}

		public function render() {
			$myuser = new MyUserModel();
			$this->bLoggedIn = $myuser->isUserLoggedin();
			$this->setParam( "bLoggedIn" , $this->bLoggedIn );
			if ($this->bLoggedIn) {
				$this->oGrid = new MyQuoteRequestsGrid( "grid" , $this );
				$this->oGrid->passGetPost( $this->aG , $this->aP );
			}
			return parent::render();
		}

	}

?>
